PermissionUtils.FileType (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util, class: PermissionUtils, enum: FileType

Package org.apache.tools.ant.util

# Enum Class PermissionUtils.FileType

java.lang.Object
java.lang.Enum<PermissionUtils.FileType>
org.apache.tools.ant.util.PermissionUtils.FileType

All Implemented Interfaces:
  `Serializable`, `Comparable<PermissionUtils.FileType>`, `Constable`

Enclosing class:
  `PermissionUtils`

public static enum PermissionUtils.FileType extends Enum<PermissionUtils.FileType>
The supported types of files, maps to the `isFoo` methods in `BasicFileAttributes`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIR`
  A directory.
  `OTHER`
  Something that is neither a regular file nor a directory nor a symbolic link.
  `REGULAR_FILE`
  A regular file.
  `SYMLINK`
  A symbolic link.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PermissionUtils.FileType`
  `of(Path p)`
  Determines the file type of a `Path`.
  `static PermissionUtils.FileType`
  `of(Resource r)`
  Determines the file type of a `Resource`.
  `static PermissionUtils.FileType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PermissionUtils.FileType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REGULAR_FILE

    public static final PermissionUtils.FileType REGULAR_FILE
    A regular file.

  - ### DIR

    public static final PermissionUtils.FileType DIR
    A directory.

  - ### SYMLINK

    public static final PermissionUtils.FileType SYMLINK
    A symbolic link.

  - ### OTHER

    public static final PermissionUtils.FileType OTHER
    Something that is neither a regular file nor a directory nor a symbolic link.

- ## Method Details

  - ### values

    public static PermissionUtils.FileType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PermissionUtils.FileType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static PermissionUtils.FileType of(Path p) throws IOException
    Determines the file type of a `Path`.
    Parameters:
      `p` - Path
    Returns:
      FileType
    Throws:
      `IOException` - if file attributes cannot be read

  - ### of

    public static PermissionUtils.FileType of(Resource r)
    Determines the file type of a `Resource`.
    Parameters:
      `r` - Resource
    Returns:
      FileType